package com.realnet.stringmanipulation.Services;
import com.realnet.stringmanipulation.Repository.StringmanipulationRepository;
import com.realnet.stringmanipulation.Entity.Stringmanipulation
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class StringmanipulationService {
@Autowired
private StringmanipulationRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Stringmanipulation Savedata(Stringmanipulation data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Stringmanipulation save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Stringmanipulation> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Stringmanipulation> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Stringmanipulation> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Stringmanipulation getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Stringmanipulation update(Stringmanipulation data,Integer id) {
	Stringmanipulation old = Repository.findById(id).get();
old.setInputstring(data.getInputstring());

old.setOperationtype(data.getOperationtype());

old.setOutputstring(data.getOutputstring());

final Stringmanipulation test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
